Skip to main content
POST
/
workflows
/
extractionTemplates
/
getAll
List All Extraction Templates
curl --request POST \
  --url https://api.emberqa.com/api/workflows/extractionTemplates/getAll \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.emberqa.com/api/workflows/extractionTemplates/getAll"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.emberqa.com/api/workflows/extractionTemplates/getAll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "statusCode": "SUCCESS",
  "statusMessage": "Successfully retrieved extraction templates",
  "docs": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Invoice Data Extraction",
      "evaluation_schema": {
        "invoice_number": "Find the invoice number",
        "total_amount": "Locate the total amount"
      }
    }
  ]
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

API key obtained from the EmberQA dashboard under the "Integrations" tab

Body

application/json

The body is of type object.

Response

Successfully retrieved extraction templates

statusCode
string
Example:

"SUCCESS"

statusMessage
string
Example:

"Successfully retrieved extraction templates"

docs
object[]